Geometric vector potentials from nonadiabatic spin dynamics
Abstract
We propose a theoretical framework that captures the geometric vector potential emerging from the nonadiabatic spin dynamics of itinerant carriers subject to arbitrary magnetic textures. Our approach results in a series of constraints on the geometric potential and the nonadiabatic geometric phase associated with it. These constraints play a decisive role when studying, e.g., the geometric spin phase gathered by conducting electrons in ring interferometers under the action of in-plane magnetic textures, allowing a simple characterization of the topological transition recently reported by Saarikoski et al. [H. Saarikoski, J. E. Vázquez-Lozano, J. P. Baltanás, F. Nagasawa, J. Nitta, and D. Frustaglia, Phys. Rev. B 91, 241406(R) (2015)].
Full text
PHYSICAL REVIEW B 96, 035312 (2017) Geometric vector potentials from nonadiabatic spin dynamics J. P. Baltanás,1,*H. Saarikoski,2A. A. Reynoso,3,4and D. Frustaglia1,† 1Departamento de Física Aplicada II, Universidad de Sevilla, E-41012 Sevilla, Spain 2RIKEN Center for Emergent Matter Science (CEMS), Saitama 351-0198, Japan 3Instituto Balseiro and Centro Atómico Bariloche, Comisión Nacional de Energía Atómica, 8400 Bariloche, Argentina 4Consejo Nacional de Investigaciones Científicas y Técnicas (CONICET), Argentina (Received 18 March 2017; revised manuscript received 5 June 2017; published 27 July 2017) Weproposeatheoreticalframeworkthatcapturesthegeometricvectorpotentialemergingfromthenonadiabatic spin dynamics of itinerant carriers subject to arbitrary magnetic textures. Our approach results in a series of constraints on the geometric potential and the nonadiabatic geometric phase associated with it. These constraints play a decisive role when studying, e.g., the geometric spin phase gathered by conducting electrons in ring interferometers under the action of in-plane magnetic textures, allowing a simple characterization of the topological transition recently reported by Saarikoski et al. [H. Saarikoski, J. E. Vázquez-Lozano, J. P. Baltanás, F. Nagasawa, J. Nitta, and D. Frustaglia, Phys.Rev.B91,241406(R) (2015)]. DOI: 10.1103/PhysRevB.96.035312 I. INTRODUCTION The role of geometric phases in diverse areas of physics and chemistry has been the subject of intense research efforts since Berry’s seminal paper [1] when nontrivial phases of geometrical origin emerged as a widespread feature of quantum mechanics. In particular, molecular physics is an important setting where geometric phases play a crucial role [2]. A paradigmatic case occurs when the Born-Oppenheimer approximation [3] is invoked. There, the nuclear coordinates are considered to be slow when compared to the electronic degrees of freedom, so that a treatment in which the electronic wave function depends parametrically on the nuclear coordinates is appropriate. Mead and Truhlar [4] showed that when the nuclear coordinates encircle a closed path in the parameter space, the correct treatment of the problem involves a term resembling a vector potential in the effective Hamiltonian of the nuclear dynamics, which results in a phase affecting the eigenfunctions. This phase, which in general depends on the path described by the slow nuclear coordinates, was eventually interpreted as an adiabatic geometric phase or Berry phase. Inspired by these results, Aharonov et al. [5] considered a spin in the presence of a strong magnetic field in a particular setup allowing for the Born-Oppenheimer approximation. Rather than focusing their interest in the separation between fast and slow variables, they treated the kinetic term as an energy perturbation to the spin Hamiltonian. As a consequence of this purely algebraic approach, and without resorting to the intrinsic geometry of the problem, they found that the spin contribution was integrated into the kinetic terms in the form of a vector potential, just as expected within the Born- Oppenheimer approximation when an effective decoupling of charge and spin degrees of freedom is assumed. Later, Stern [6] used this technique to study the effect of Berry phases in the conductance of spin carriers in one-dimensional (1D) rings subject to magnetic textures (external magnetic fields of varying direction in space). *[email protected] †[email protected] Here, we extend these ideas to the case of nonadiabatic spin dynamics where there is no clear separation between fast and slow degrees of freedom. We develop our theory by relaxing the adiabatic condition away from the perturbative regime considered by Aharonov et al. [5]. As a result we find expressions for nonadiabatic vector potentials and geometric phases, known as Aharonov-Anandan (AA) phases [7], satisfying a series of constraints. For illustration, we apply these findings to the problem of spin carriers confined in 1D conducting rings subject to in-plane field textures. This is partly motivated by our recent work [8] on topological transitions in spin interferometers, where nonadiabatic spin dynamics was proved to play a crucial role near the transition point. The theory introduced here describes the reported topological transition in terms of an effective (adiabatic-like) Berry phase emerging from the actual nonadiabatic dynamics. The paper is organized as follows. In Sec. II we develop our general theory capturing geometric vector potentials and geometric phases in the case of nonadiabatic spin dynamics together with a series of constraints. In Sec. III, we apply this theory to the case of 1D rings subject to the action of in-plane topological field textures, where the constraints prove useful to identify topological features without the need to solve the full problem. We end with some concluding remarks summarizing the main results. II. NONADIABATIC SPIN DYNAMICS IN MAGNETIC TEXTURES: GENERAL APPROACH In his original paper [1] Berry considered a spin interacting with a magnetic field as an appropriate model to reveal the presence of (adiabatic) geometric phases: a spin state which adiabatically follows an external magnetic field describing a closedtrajectoryinspaceaccumulatesageometricphasefactor proportional to the solid angle subtended by the field. Let us recall this system by considering the electronic Hamiltonian H=1 2m2+V(r)+μB(r)·σ,(1) where =p+(e/c)Am(r), with Am(r) the magnetic vector potential at position r,V(r) an electrostatic potential confining 2469-9950/2017/96(3)/035312(5) 035312-1 ©2017 American Physical Society
BALTANÁS, SAARIKOSKI, REYNOSO, AND FRUSTAGLIA PHYSICAL REVIEW B 96, 035312 (2017) the electron motion, σis the Pauli matrix vector, and B(r)=B(r)ˆ n(r) is a magnetic field of varying magnitude and orientation, with ˆ n(r) a unit vector defining its local direction. The field B(r) may contain components from an external source [given by ∇×Am(r)] together with effective components of dynamical origin as, e.g., an effective Rashba field arising from the spin-orbit coupling in the presence of an electric field [9]. This particular case will be considered more explicitly in Sec. III. For an arbitrary B(r), the eigenstates of the Hamiltonian H defined in Eq. (1) are unknown. The approach followed by the authors of Ref. [5](seealsoRef.[10]) starts by finding the local spin eigenstates of the Zeeman term in Eq. (1): |↑ = cos α 2e−iη sin α 2,|↓ = −sin α 2e−iη cos α 2,(2) which are locally (anti)aligned with the magnetic field’s axis ˆ n(r)=[sinα(r) cos η(r),sin α(r)sinη(r),cos α(r)].(3) The states (2) coincide with the spin eigenstates of the full H only in the limit of adiabatic spin dynamics where the local Larmor frequency of spin precession ωs=2μB(r)/¯his much larger than the frequency of orbital motion ω0=vF/L, with vFthe Fermi velocity and La representative length over which B(r) changes direction [11]. The Hamiltonian can be written as the sum of a diagonal and a nondiagonal projection onto the basis defined by the adiabatic spin eigenstates H=Had +Hnad, respectively. The adiabatic limit is achieved by taking Hnad → 0,leavingH≈Had.Thisprocedureresults in theidentification of a geometric vector potential leading to Berry phases associated with the adiabatic nature of the spin dynamics. The adiabatic condition is guaranteed in Ref. [5]by treating the kinetic term as a perturbation to the Zeeman one in Eq. (1). However, we notice that this is only a sufficient condition and not a necessary one: Indeed, the adiabatic regime can be achieved also in the opposite regime where the Zeeman energy is a perturbation to the kinetic one. The reason for this, as shown in Ref. [10], is that the orbital frequency ω0 is proportional only to the square root of the kinetic energy while the Larmor frequency ωsis proportional to the Zeeman energy, instead. We extend the algebraic approach of Aharonov et al. [5]by considering the more general nonadiabatic case. According to theabovediscussion,this means thatthe kineticenergymust be at least of the same order of the Zeeman one. The nonadiabatic spin eigenstates of Hcan be rather complex, pointing along directions generally different from the one defined by the local magnetic field ˆ n(r). In this situation, nonadiabatic AA geometric phases eventually emerge as a result of the intricate paths described by the spin eigenstates in the Bloch sphere. As a starting point, let us rewrite H=Hd+Hnd as the sum of diagonal (d) and nondiagonal (nd) projections onto the basis defined by the nonadiabatic spin eigenstates |+ = cos θ 2e−iδ sin θ 2,|− = −sin θ 2e−iδ cos θ 2,(4) locally quantized along the unit vector ˆ l(r)=[sinθ(r) cos δ(r),sin θ(r)sinδ(r),cos θ(r)].(5) To this aim, we define projection operators on the corresponding subspaces given by P±=1±ˆ l(r)·σ 2,(6) We stress that ˆ l(r) generally differs from ˆ n(r) in the nonadiabatic regime. We further notice that, by the sole definition of eigenstates, it holds Hd=P+HP++P−HP−≡H,(7) Hnd =H−Hd=P+HP−+P−HP+≡0.(8) It requires some further elaboration to make the best of the formal expressions (7) and (8). Notice that does not commute with P±(due to the presence of p=−i¯h∇), and therefore mixes the spin subspaces. By following Refs. [5,10], we introduce an operator Aresponsible for the P±-subspace mixing while −Aacts only within each subspace. This is accomplished without ambiguity by defining A=−P+P+−P−P−,(9) which verifies [−A,P±]=0 and P±AP±=0. In Eq. (1), by expanding 2=(−A+A)2=(−A)2+A2+{−A,A},(10) with {,}the anticommutator, and considering [Am,P±]=0 together with the properties of projection operators (P2 ±=P± and P++P−=1), one arrives at Hd=1 2m[(−A)2+A2]+V(r)+μ(B·ˆ l)(ˆ l·σ),(11) and Hnd =1 2m{−A,A}+μ[B·σ−(B·ˆ l)(ˆ l·σ)],(12) where we dropped the dependence on rwhen convenient for ease in notation. Moreover, the explicit evaluation of Agives A=i¯h 2(ˆ l·σ)∇(ˆ l·σ).(13) Both Hdand Hnd are written in the laboratory frame. We now turn to the nonadiabatic spin-eigenstate basis by introducing the local unitary operator U(r)=cos θ 2eiδ sin θ 2 −sin θ 2eiδ cos θ 2,(14) which diagonalizes Hby acting on the nonadiabatic spinors (4)as U(r)|+ = 1 0,U(r)|− = 0 1.(15) We first notice that UAU†=0a+− g a−+ g0,(16) where as¯ s g=¯h 2(sin θ∇δ+is∇θ)(17) 035312-2
GEOMETRIC VECTOR POTENTIALS FROM NONADIABATIC . . . PHYSICAL REVIEW B 96, 035312 (2017) plays the role of a geometric mixing. Moreover, U(−A)U†=−A+ g0 0−A− g,(18) where As g=¯h 2(1 +scos θ)∇δ(19) is a geometric vector potential responsible for the AA geometric phases. Indeed, a direct computation proves the identity As g=i¯hs|∇|s, with |sthe nonadiabatic spin eigenstates of Eq. (4). Thus, the AA geometric phase reads φs g=1 ¯hAs g·dr=is|∇|sdr,(20) in agreement with the general expression introduced by the authors of Ref. [7]. Back to the Hamiltonian, we find UHdU†=H+0 0H−,(21) where Hs=1 2m−As g2+Vs eff (22) describes an electron gas corresponding to the non-adiabatic spin species s, with Vs eff =1 2mas¯ s g·a¯ ss g+V(r)+sμB(r)·ˆ l(r).(23) The first term in Eq. (23) represents a spin-independent geometric scalar potential acting as a local energy shift, which is typically negligible when compared to the kinetic energy in mesoscopic implementations. We further notice that the Zeeman energy in Eq. (23) can be expanded as μB(r)(|s|↑|2−|s|↓|2). Similarly, we find UHndU†=0H± H∓0,(24) with Hs¯ s=1 2m−As g·as¯ s g+as¯ s g·−A¯ s g +μB(r)(s|↑↑|¯ s−s|↓↓|¯ s).(25) Notice that the constraint imposed on Eq. (25)byEq.(8) establishes a definite link between As gand B(r) that will be of particular importance in the identification of the effective geometric phase introduced in Ref. [8], as discussed below. III. NONADIABATIC SPIN DYNAMICS IN MAGNETIC TEXTURES: 1D RINGS Among the several proposals for the manipulation of spin states by guiding fields based on spin interferometry, one by Lyanda-Geller stands out for its simplicity [12]. There, he studied a 1D ring interferometer subject to the combined action of internal (spin-orbit) and external in-plane magnetic fields producing a magnetic texture with variable topology: By tuning the magnitude of the external field the global magnetic texture undergoes a topological transition, from a rotating texture (enclosing the point of vanishing magnetic field in the FIG. 1. Conducting ring with traveling spin carriers (thin arrow) subject to a hybrid magnetic-field texture: a radial effective field (originated internally by spin-orbit coupling) plus a uniform in-plane field (of external origin). The global field texture undergoes a topological transition from a rotating setup (left) to a waving one (right) as the uniform in-plane component increases. parameter space) to a waving one (the vanishing-field point is not enclosed), see Fig. 1. By working within the limits of adiabatic spin dynamics, Lyanda-Geller concluded that the Berry phase accumulated by a spin state in a round trip would mirror the topological transition experienced by the magnetic texture by switching from πto 0, appearing as a topological imprint of the spin dynamics in the conductance of the ring. Recently we pointed out that this description turns out to be oversimplified [8]: The spins are unable to follow the magnetic field in the vicinity of the transition point since the magnetic field vanishes and reverses its direction abruptly, which casts serious doubts on the adiabatic character of the dynamics. Despite this, we reported a phase dislocation in the conductance as the remarkable signature of the topological transition undergone by the magnetic field, close to what expected in the case of adiabatic spin dynamics. This result is intriguing since, as noticed above, the complexity of the nonadiabatic spin dynamics near the critical point does not ease the way for an intuitive picture of the transition in terms of geometric spin phases. As we show below, the theoretical framework introduced in the previous section provides a way to address the reported topological transition in terms of an effective (adiabatic-like) Berry phase emerging from the actual nonadiabatic spin dynamics. To this end, we approach the particular case of electrons moving on a 1D ballistic ring of radius rand polar angle ϕin the presence on an in-plane magnetic field texture [α=π/2inEq.(3)], generated from Am=Azˆ zwith an appropriate gauge choice (eventually an additional component Aϕˆ ϕleading to an Aharonov-Bohm flux could be considered). With the help of Eqs. (17) and (23), Eq. (22) reduces to Hs=1 2m−As g2+¯h2 8mr2sin2θ∂δ ∂ϕ2 +∂θ ∂ϕ2 +V(r)+sμB(r)sinθcos(δ−η),(26) with As g=¯h 2r(1 +scos θ)∂δ ∂ϕ ˆ ϕ.(27) When the kinetic term in Eq. (26) is dominant, the angular momentum of the moving charge is approximately conserved and the spatial part of the eigenfunctions takes the form |ψ∼ e±iϕ for counterclockwise (+) and clockwise (−) motion, with =kFrand kFthe Fermi wave vector. According to 035312-3
BALTANÁS, SAARIKOSKI, REYNOSO, AND FRUSTAGLIA PHYSICAL REVIEW B 96, 035312 (2017) Eq. (20), the AA geometric phase acquired by the spin scarrier in a round trip is φs g=1 ¯hAs g·dl=1 22π 0 (1 +scos θ)∂δ ∂ϕdϕ =nπ +s 22π 0 cos θ∂δ ∂ϕdϕ, (28) with dl=rdϕˆ ϕthe elemental displacement along the ring and nthe winding (integer) number of the spin texture around the north pole of the Bloch sphere. The second term in Eq. (28) is typically responsible for the fluctuations of the geometric phase appearing in complex spin textures [8]. Likewise, the corresponding dynamical spin phase in a round trip is given by φs d=− mr2 ¯h2Hs−1 2m−As g2dϕ =− 2π 01 8sin2θ∂δ ∂ϕ2 +∂θ ∂ϕ2 +smr2 ¯h2μB(r)sinθcos(δ−η)dϕ, (29) after subtracting the kinetic contribution from Hsin Eq. (26) and parametrizing the integral in terms of the polar angle of the ring. Notice that we also dropped off the contribution from the confining potential V(r) which essentially results in a constant phase shift. Moreover, the condition Hs¯ s=0 imposed by Eq. (8) results in the following equations for the real and imaginary parts of Eq. (25): ¯h2 4mr2sinθ∂δ ∂ϕ±2−∂δ ∂ϕ+s∂2θ ∂ϕ2 +μB(r) cos θcos(δ−η)=0 (30) and ¯h2 4mr2s∂θ ∂ϕ±2−∂δ ∂ϕ−sin θ∂2δ ∂ϕ2+cos θ∂θ ∂ϕ ∂δ ∂ϕ +μB(r)sin(δ−η)=0.(31) For simplicity, we focus on the case of counterclockwise spin carriers (with positive orbital quantum number +) and take the semiclassical limit 1 corresponding to large momentum or small Fermi wavelength, typical in mesoscopic rings [13]. By doing so we find that the previous expressions reduce to ¯h2 2mr2sin θ∂δ ∂ϕ +μB(r) cos θcos(δ−η)=0,(32) s¯h2 2mr2 ∂θ ∂ϕ +μB(r) sin(δ−η)=0,(33) for magnetic-field strengths of, at least, the order of the ring’s orbital-level spacing and/or containing a term proportional to the momentum as, e.g., in the case of effective, spinorbit Rashba fields. The same approximation applies to the dynamical phase in Eq. (29) by neglecting the first terms under the integral sign. This implicitly assumes that all derivatives exist. Notice that this will be usually the case, with important exceptions as, e.g., spins passing over the poles of the Bloch sphere, where ∂δ/∂ϕ diverges. In principle, our approach would not apply to those cases. A. Case study 1: AA phases in 1D Rashba rings To test the validity and soundness of the approach introduced above, we first apply it to the case of a 1D ring of radiusrsubject tothe soleaction of Rashbaspin-orbit coupling displaying an effective radial field (see Fig. 1left). This model has the advantage of being exactly solvable [14]. The explicit solution shows that the corresponding spin-eigenstates do not quantize along the direction of the effective radial field but are lifted with a constant angle from the ring’s plane. More precisely, Eq. (4) reduces to |+ = cos θ 2e−iϕ sin θ 2,|− = −sin θ 2e−iϕ cos θ 2,(34) while the effective magnetic field reads B(r)= BR(cos ϕ,sin ϕ,0), with ϕthe polar angle on the ring’s plane and BRthe strength of the effective Rashba field (momentum dependent and proportional to the orbital quantum number ). The tilt angle θdoes not depend on ϕand is given by tanθ=ωR/ω0, where ωR=2μBR/¯h and ω0=¯h/mr2are characteristic Larmor and orbital frequencies, respectively (see Ref. [14] for further details). For the spinors (34), Eqs. (27), (32), and (33) reduce to As g=¯h 2r(1 +scos θ)ˆ ϕ,(35) ¯h2 2mr2sinθ+μBR cos θ=0,(36) s¯h2 2mr2 ∂θ ∂ϕ =0,(37) respectively, where we used δ=η=ϕand ∂δ/∂ϕ =1 due to azimuthal symmetry. It is straightforward to see that Eqs. (36) and (37) may be rewritten as tan θ=2μBR/(¯h) ¯h/(mr2)=ωR ω0 ,∂θ ∂ϕ =0,(38) which simply means that the tilt angle of the corresponding eigenspinors is constant and that its value depends on the adibaticity parameter ωR/ω0in the precise manner reported in Ref. [14] by direct calculation. Moreover, an explicit calculation of the geometric phase from Eq. (28) by using the geometric vector potential (35) gives φs g=π(n+scos θ) with n=1, which is exactly the AA geometric phase accumulated by a spin in a round trip (equal to half the solid angle subtended by the spin texture in the Bloch sphere). Again, this reproduces the result obtained by the authors of Ref. [14]. B. Case study 2: Topological transitions in 1D rings When a uniform in-plane field is considered in addition to the intrinsic Rashba spin-orbit contribution, the problem is no longer solvable by exact means. In Ref. [8], we showed that the total phase acquired in this situation by a spin carrier in a round trip, φs=φs d+φs g, undergoes a transition determined 035312-4
GEOMETRIC VECTOR POTENTIALS FROM NONADIABATIC . . . PHYSICAL REVIEW B 96, 035312 (2017) by the topology of the total (Rashba plus uniform) guiding field. In the following we identify the basics of this transition by applying the approach introduced here. From Eq. (32), the dynamical phase (29) can be written as φs d=s2π 0 1 21 cos θ−cos θ∂δ ∂ϕ dϕ, (39) holding for 1. At first glance, here we recognize two contributions to φs d: a fluctuating one proportional to cos θand a smooth one proportional to 1/cos θ[from Eq. (32)wesee that the former does not diverge for vanishing cos θ]. In this way, by adding Eqs. (28) and (39) the total phase reduces to φs=s2π 0 1 2 cos θ ∂δ ∂ϕdϕ +nπ, (40) thanks to the cancellation of the terms proportional to cos θ. The total spin phase (40) consists then of a smooth dynamical contribution plus a topological one determined by the parity of the winding number n, where nπ plays the role of and effective (adiabatic-like) Berry phase emerging from the nonadiabatic spin dynamics. A parity transition in nwould then explain the results reported in Ref. [8]. However, the actual existence of complex spin textures running over the poles of the Bloch sphere in the vicinity of the transition point results in the development of singularities in the terms proportional to ∂δ/∂ϕ appearing in the geometric vector potential (27) and the total spin phase (40). This complicates the analysis near the transition point and a full picture remains so far incomplete (see next paragraph for a complementary discussion). It is worthy of mention that, in the limit 1 considered here, the spin dynamics of the carriers maps into a timedependent problem with localized spins subject to an external driving (by basicallyidentifying thepolarangle ϕwiththe time tin the ring’s case) [15]. This eventually leads to the finding of a scalar analog of the geometric vector potential encoding the AA geometric phases accumulated by the spin due to the driving [15]. Moreover, it has been shown that a parity transition in the effective Berry phase also exists to a great approximation in this case. The mapping to a time-dependent problem has the significant advantage to clarify the limits of our approach in terms of spin resonances at the same time that it opens a door to a new class of resonance experiments for the study of topological transitions in spin and other two-level systems [15]. IV. CONCLUSION We introduce an algebraic technique providing a closed expression of geometric vector potentials and geometric phases for spin carriers subject to arbitrary magnetic textures in the general case of nonadiabatic spin dynamics. More importantly, the theory imposes some dynamical constraints of particular importance in practice by allowing the identification of geometric and topological features without solving the full problem. The work is based on previous developments on the perturbative induction of geometric vector potentials in the limit of adiabatic spin dynamics [5]. We relax the adiabatic condition away from the perturbative regime. We illustrate the potentials of our approach by discussing two examples. We first reproduced the exact results [14]ofan analytically solvable problem on AA geometric phases in 1D Rashba rings. Second, we consider the more difficult problem of a conducting 1D ring subject to the combined action of in-plane Rashba and uniform fields [8]. There we identify an effective Berry phase underlying the nonadiabatic dynamics as a key to single out the topological imprints left by the field texture. Finally, we notice that the scope of our approach is best understood in the semiclassical limit of large momentum (where a dynamical decoupling emerges between charge and spin dynamics) by mapping the spin carrier problem into a time-dependent one with localized spins [15]. ACKNOWLEDGMENTS We thank J. Nitta and J. E. Vázquez-Lozano for valuable comments and discussions. This work was supported by Project No. FIS2014-53385-P (MINECO/FEDER, Spain) and by Grants-in-Aid for Scientific Research (C) No. 17K05510 (Japan Society for the Promotion of Science, Japan). [1] M. V. Berry, Proc. R. Soc. London A 392,45 (1984). [2] C. A. Mead, Rev. Mod. Phys. 64,51 (1992). [3] M. Born and J. R. Oppenheimer, Ann. Phys. (NY) 389,457 (1927). [4] C. A. Mead and D. G. Truhlar, J. Chem. Phys. 70,2284 (1979). [5] Y. Aharonov, E. Ben-Reuven, S. Popescu, and D. Rohrlich, Phys.Rev.Lett.65,3065 (1990); Nucl. Phys. B 350,818 (1991). [6] A. Stern, Phys. Rev. Lett. 68,1022 (1992); Quantum Coherence and Reality, edited by J. S. Anandan and J. L. Safko (World Scientific, Singapore, 1994), p. 66. [7] Y. Aharonov and J. Anandan, Phys.Rev.Lett.58,1593 (1987). [8] H. Saarikoski, J. E. Vázquez-Lozano, J. P. Baltanás, F. Nagasawa, J. Nitta, and D. Frustaglia, Phys.Rev.B91, 241406(R) (2015). [9] Y. A. Bychkov and E. I. Rashba, J. Phys. C 17,6039 (1984). [10] D. Frustaglia and K. Richter, Found. Phys. 31,399 (2001). [11] M. Popp, D. Frustaglia, and K. Richter, Phys. Rev. B 68, 041303(R) (2003). [12] Y. Lyanda-Geller, Phys.Rev.Lett.71,657 (1993). [13] F. Nagasawa, D. Frustaglia, H. Saarikoski, K. Richter, and J. Nitta, Nat. Commun. 4,2526 (2013). [14] D. Frustaglia and K. Richter, Phys.Rev.B69,235310 (2004). [15] A. A. Reynoso, J. P. Baltanás, H. Saarikoski, J. E. Vázquez- Lozano, J. Nitta, and D. Frustaglia, New J. Phys. 19,063010 (2017). 035312-5